<?php
  $page_title = 'All articles';
  require_once('includes/load.php');
  // Checkin What level user has permission to view this page
  page_require_level(1);
  
  $all_articles = find_all('articledetails')
?>
<?php
 if(isset($_POST['add_art'])){
   $req_field = array('article-name');
   validate_fields($req_field);
   $art_name = remove_junk($db->escape($_POST['article-name']));
   $userid = current_user();
     $p_userid = $userid['id'];
   if(empty($errors)){
      $sql  = "INSERT INTO articledetails (ArticleName,id)";
      $sql .= " VALUES ('{$art_name}','{$p_userid}')";
      if($db->query($sql)){
        $session->msg("s", "Successfully Added New Article");
        redirect('article.php',false);
      } else {
        $session->msg("d", "Sorry Failed to insert.");
        redirect('article.php',false);
      }
   } else {
     $session->msg("d", $errors);
     redirect('article.php',false);
   }
 }
?>
<?php include_once('layouts/header.php'); ?>

  <div class="row">
     <div class="col-md-12">
       <?php echo display_msg($msg); ?>
     </div>
  </div>
   <div class="row">
    <div class="col-md-5">
      <div class="panel panel-default">
        <div class="panel-heading">
          <strong>
            <span class="glyphicon glyphicon-th"></span>
            <span>Add New Article</span>
         </strong>
        </div>
        <div class="panel-body">
          <form method="post" action="article.php">
            <div class="form-group">
                <input type="text" class="form-control" name="article-name" placeholder="Article Name">
            </div>
            <button type="submit" name="add_art" class="btn btn-primary">Add Article</button>
        </form>
        </div>
      </div>
    </div>
    <div class="col-md-7">
    <div class="panel panel-default">
      <div class="panel-heading">
        <strong>
          <span class="glyphicon glyphicon-th"></span>
          <span>All Articles</span>
       </strong>
      </div>
        <div class="panel-body">
          <table id="articletable" class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th class="text-center" style="width: 50px;">#</th>
                    <th>Articles</th>
                    <th class="text-center" style="width: 100px;">Actions</th>
                </tr>
            </thead>
            <tbody>
              <?php foreach ($all_articles as $art):?>
                <tr>
                    <td class="text-center"><?php echo count_id();?></td>
                    <td><?php echo remove_junk(ucfirst($art['ArticleName'])); ?></td>
                    <td class="text-center">
                      <div class="btn-group">
                        <a href="edit_article.php?ArticleId=<?php echo (int)$art['ArticleId'];?>"  class="btn btn-xs btn-warning" data-toggle="tooltip" title="Edit">
                          <span class="glyphicon glyphicon-edit"></span>
                        </a>
                        <a href="delete_article.php?ArticleId=<?php echo (int)$art['ArticleId'];?>"  class="btn btn-xs btn-danger" data-toggle="tooltip" title="Remove">
                          <span class="glyphicon glyphicon-trash"></span>
                        </a>
                      </div>
                    </td>

                </tr>
              <?php endforeach; ?>
            </tbody>
          </table>
       </div>
    </div>
    </div>
   </div>
  </div>
  <?php include_once('layouts/footer.php'); ?>
